<?php
/*
Theme Designed By: Meysam Hosseinkhani
Email: Meysam98@Gmail.com
Demo Website: Dinakala.I-design.ir
Author Website: i-design.ir
*/

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

Redux::setSection( $opt_name, array(
    'title'      => __( 'Social Media', 'dina-kala' ),
    'id'         => 'menu_social',
    'icon'       => 'fab fa-facebook',
    'fields'     => array(

        array(
            'id' => 'social-nofollow-section-start',
            'type' => 'section',
            'title'    => __( 'Nofollow property settings', 'dina-kala' ),
            'indent' => true,
        ),
        array(
            'id'       => 'nofollow_social_link',
            'type'     => 'switch',
            'title'    => __( 'Add nofollow property to social network links', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'nofollow_share_link',
            'type'     => 'switch',
            'title'    => __( 'Add nofollow property to sharing links', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id' => 'social-nofollow-section-end',
            'type' => 'section',
            'indent' => false ,
        ),
       
        array(
            'id' => 'share-links-section-start',
            'type' => 'section',
            'title'    => __( 'Settings for product and post sharing links', 'dina-kala' ),
            'indent' => true,
        ),
        array(
            'id'       => 'share_facebook',
            'type'     => 'switch',
            'title'    => __( 'Facebook', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'share_google',
            'type'     => 'switch',
            'title'    => __( 'Google+', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'share_pinterest',
            'type'     => 'switch',
            'title'    => __( 'Pinterest', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'share_twitter',
            'type'     => 'switch',
            'title'    => __( 'Twitter', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'share_linkedin',
            'type'     => 'switch',
            'title'    => __( 'Linkedin', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'share_telegram',
            'type'     => 'switch',
            'title'    => __( 'Telegram', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'share_whatsapp',
            'type'     => 'switch',
            'title'    => __( 'Whatsapp', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'share_email',
            'type'     => 'switch',
            'title'    => __( 'Email', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'share_copy',
            'type'     => 'switch',
            'title'    => __( 'Copy short link', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id' => 'share-links-section-end',
            'type' => 'section',
            'indent' => false ,
        ),

        array(
            'id' => 'social-links-section-start',
            'type' => 'section',
            'title'    => __( "Enter the link to the site's social pages", 'dina-kala' ),
            'indent' => true,
        ),
        array(
            'id'       => 'so_facebook',
            'type'     => 'switch',
            'title'    => __( 'Facebook', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'so_facebook_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',                
            'required' => array( 'so_facebook', '=', true ),
        ),
        array(
            'id'       => 'so_google',
            'type'     => 'switch',
            'title'    => __( 'Google+', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'so_google_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_google', '=', true ),
        ),
        array(
            'id'       => 'so_twitter',
            'type'     => 'switch',
            'title'    => __( 'Twitter', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'so_twitter_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_twitter', '=', true ),
        ),
        array(
            'id'       => 'so_youtube',
            'type'     => 'switch',
            'title'    => __( 'Youtube', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'so_youtube_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_youtube', '=', true ),
        ),
        array(
            'id'       => 'so_dribble',
            'type'     => 'switch',
            'title'    => __( 'Dribble', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'so_dribble_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_dribble', '=', true ),
        ),
        array(
            'id'       => 'so_behance',
            'type'     => 'switch',
            'title'    => __( 'Behance', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_behance_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_behance', '=', true ),
        ),
        array(
            'id'       => 'so_linkedin',
            'type'     => 'switch',
            'title'    => __( 'Linkedin', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'so_linkedin_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_linkedin', '=', true ),
        ),
        array(
            'id'       => 'so_instagram',
            'type'     => 'switch',
            'title'    => __( 'Instagram', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'so_instagram_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_instagram', '=', true ),
        ),
        array(
            'id'       => 'so_telegram',
            'type'     => 'switch',
            'title'    => __( 'Telegram', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'so_telegram_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_telegram', '=', true ),
        ),
        array(
            'id'       => 'so_pinterest',
            'type'     => 'switch',
            'title'    => __( 'Pinterest', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'so_pinterest_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_pinterest', '=', true ),
        ),
        array(
            'id'       => 'so_whatsapp',
            'type'     => 'switch',
            'title'    => __( 'Whatsapp', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_whatsapp_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_whatsapp', '=', true ),
        ),
        array(
            'id'       => 'so_threads',
            'type'     => 'switch',
            'title'    => __( 'Threads', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_threads_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_threads', '=', true ),
        ),
        array(
            'id'       => 'so_tiktok',
            'type'     => 'switch',
            'title'    => __( 'Tiktok', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_tiktok_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_tiktok', '=', true ),
        ),
        array(
            'id'       => 'so_aparat',
            'type'     => 'switch',
            'title'    => __( 'Aparat', 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'so_aparat_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_aparat', '=', true ),
        ),
        array(
            'id'       => 'so_soroush',
            'type'     => 'switch',
            'title'    => __( 'Soroush', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_soroush_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_soroush', '=', true ),
        ),
        array(
            'id'       => 'so_gap',
            'type'     => 'switch',
            'title'    => __( 'Gap', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_gap_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_gap', '=', true ),
        ),
        array(
            'id'       => 'so_eitaa',
            'type'     => 'switch',
            'title'    => __( 'Eitaa', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_eitaa_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_eitaa', '=', true ),
        ),
        array(
            'id'       => 'so_bisphone',
            'type'     => 'switch',
            'title'    => __( 'Bisphone', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_bisphone_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_bisphone', '=', true ),
        ),
        array(
            'id'       => 'so_bale',
            'type'     => 'switch',
            'title'    => __( 'Bale', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_bale_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_bale', '=', true ),
        ),
        array(
            'id'       => 'so_igap',
            'type'     => 'switch',
            'title'    => __( 'iGap', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_igap_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_igap', '=', true ),
        ),
        array(
            'id'       => 'so_rubika',
            'type'     => 'switch',
            'title'    => __( 'Rubika', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_rubika_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_rubika', '=', true ),
        ),
        array(
            'id'       => 'so_hoorsa',
            'type'     => 'switch',
            'title'    => __( 'Hoorsa', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_hoorsa_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_hoorsa', '=', true ),
        ),
        array(
            'id'       => 'so_soundcloud',
            'type'     => 'switch',
            'title'    => __( 'Soundcloud', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_soundcloud_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_soundcloud', '=', true ),
        ),

        array(
            'id'       => 'so_spotify',
            'type'     => 'switch',
            'title'    => __( 'Spotify', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_spotify_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_spotify', '=', true ),
        ),

        array(
            'id'       => 'so_google_podcasts',
            'type'     => 'switch',
            'title'    => __( 'Google podcasts', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_google_podcasts_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_google_podcasts', '=', true ),
        ),

        array(
            'id'       => 'so_castbox',
            'type'     => 'switch',
            'title'    => __( 'Castbox', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_castbox_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_castbox', '=', true ),
        ),

        array(
            'id'       => 'so_linktree',
            'type'     => 'switch',
            'title'    => __( 'Linktree', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_linktree_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_linktree', '=', true ),
        ),
        array(
            'id'       => 'so_phone',
            'type'     => 'switch',
            'title'    => __( 'Phone', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_phone_remove_tel',
            'type'     => 'switch',
            'title'    => __( 'Remove "tel:" from link output', 'dina-kala' ),
            'default'  => false,
            'required' => array( 'so_phone', '=', true ),
        ),
        array(
            'id'       => 'so_phone_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_phone', '=', true ),
        ),
        array(
            'id'       => 'so_mobile',
            'type'     => 'switch',
            'title'    => __( 'Mobile', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_mobile_remove_tel',
            'type'     => 'switch',
            'title'    => __( 'Remove "tel:" from link output', 'dina-kala' ),
            'default'  => false,
            'required' => array( 'so_mobile', '=', true ),
        ),
        array(
            'id'       => 'so_mobile_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_mobile', '=', true ),
        ),
        array(
            'id'       => 'so_email',
            'type'     => 'switch',
            'title'    => __( 'Email', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'so_email_link',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'so_email', '=', true ),
        ),
        array(
            'id' => 'social-links-section-end',
            'type' => 'section',
            'indent' => false ,
        ),
    ),
) );