<?php
/*
Theme Designed By: Meysam Hosseinkhani
Email: Meysam98@Gmail.com
Demo Website: Dinakala.I-design.ir
Author Website: i-design.ir
*/

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

Redux::setSection( $opt_name, array(
    'title'      => __( 'User panel settings', 'dina-kala' ),
    'id'         => 'user_panel_setting',
    'icon'       => 'fal fa-user',
    'fields'     => array(

        array(
            'id'       => 'remove_myacc_hooks',
            'type'     => 'switch',
            'title'    => __( 'Remove template hooks from WooCommerce user panel' , 'dina-kala' ),
            'subtitle'  => __( 'Enabling this option removes the template code from the WooCommerce user panel. Enabling this option is used to eliminate interference with other user panel plugins.','dina-kala' ),
            'default'  => false,
        ),

        array(
            'id'       => 'change_user_avatar',
            'type'     => 'switch',
            'title'    => __( 'Ability to change profile picture' , 'dina-kala' ),
            'subtitle'  => __( 'Adding the ability to change the profile image (avatar) to the user panel','dina-kala' ),
            'default'  => true,
        ),

        array(
            'id'       => 'remove_download',
            'type'     => 'switch',
            'title'    => __( 'Remove download option' , 'dina-kala' ),
            'subtitle' => __( 'Remove download option from menu and user panel' , 'dina-kala' ),
            'default'  => false,
        ),

        array(
            'id'       => 'remove_password_strength',
            'type'     => 'switch',
            'title'    => __( 'Remove password strength' , 'dina-kala' ),
            'subtitle' => __( 'Remove password strength in woocommerce register form' , 'dina-kala' ),
            'default'  => false,
        ),

        array(
            'id'       => 'woo_ac_downloads',
            'type'     => 'switch',
            'title'    => __( 'Change the file download page to accordion mode', 'dina-kala' ),
            'default'  => true,
        ),

        //additional-registration-fields-section-start
        array(
            'id'     => 'additional-registration-fields-section-start',
            'type'   => 'section',
            'title'  => __( 'Settings of additional registration fields', 'dina-kala' ),
            'indent' => true,
        ),
        array(
            'id'       => 'reg_field_fname_lname',
            'type'     => 'switch',
            'title'    => __( 'Activation of the first and last name field', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'reg_req_fname_lname',
            'type'     => 'switch',
            'title'    => __( 'Required field', 'dina-kala' ),
            'default'  => true,
            'required' => array( 'reg_field_fname_lname', '=', true ),
        ),
        array(
            'id'       => 'reg_field_fname_label',
            'type'     => 'text',
            'title'    => __( 'Field title', 'dina-kala' ),
            'default'  => __( 'First name', 'dina-kala' ),
            'required' => array( 'reg_field_fname_lname', '=', true ),
        ),
        array(
            'id'       => 'reg_field_lname_label',
            'type'     => 'text',
            'title'    => __( 'Field title', 'dina-kala' ),
            'default'  => __( 'Last name', 'dina-kala' ),
            'required' => array( 'reg_field_fname_lname', '=', true ),
        ),
        array(
            'id'       => 'reg_field_phone',
            'type'     => 'switch',
            'title'    => __( 'Activation of phone number field', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'reg_req_phone',
            'type'     => 'switch',
            'title'    => __( 'Required field', 'dina-kala' ),
            'default'  => true,
            'required' => array( 'reg_field_phone', '=', true ),
        ),
        array(
            'id'       => 'reg_field_phone_label',
            'type'     => 'text',
            'title'    => __( 'Field title', 'dina-kala' ),
            'default'  => __( 'Phone', 'dina-kala' ),
            'required' => array( 'reg_field_phone', '=', true ),
        ),
        array(
            'id'     => 'additional-registration-fields-section-end',
            'type'   => 'section',
            'indent' => false ,
        ),

        //dashboard-slider-section-start
        array(
            'id' => 'dashboard-slider-section-start',
            'type' => 'section',
            'title'    => __( 'Dashboard slider settings', 'dina-kala' ),
            'subtitle' => __( 'This slider is displayed on the User Panel', 'dina-kala' ),
            'indent' => true,
        ),
        array(
            'id'       => 'show_dashboard_slider',
            'type'     => 'switch',
            'title'    => __( 'Show dashboard slider', 'dina-kala' ),
            'default'  => false
        ),
        array(
            'id'       => 'dashboard_slider_mobile',
            'type'     => 'switch',
            'title'    => __( 'Show dashboard slider in mobile mode', 'dina-kala' ),
            'default'  => true,
            'required' => array( 'show_dashboard_slider', '=', true ),
        ),
        array(
            'id'       => 'dashboard_slider_title',
            'type'     => 'switch',
            'title'    => __( 'Show slide titles instead of navigation points', 'dina-kala' ),
            'default'  => false,
            'required' => array( 'show_dashboard_slider', '=', true ),
        ),
        array(
            'id'       => 'dashboard_slider_mobile_title',
            'type'     => 'switch',
            'title'    => __( 'Show the title of the slides on mobile', 'dina-kala' ),
            'default'  => false,
            'required' => array( 
                array( 'dashboard_slider_mobile', '=', true ), 
                array( 'dashboard_slider_title', '=', true ) 
            )
        ),
        array(
            'id'       => 'dashboard_slider_arrows',
            'type'     => 'switch',
            'title'    => __( 'Show arrows', 'dina-kala' ),
            'default'  => true,
            'required' => array( 'show_dashboard_slider', '=', true ),
        ),
        array(
            'id'       => 'dashboard_slider_dots',
            'type'     => 'switch',
            'title'    => __( 'Show navigation\'s dots', 'dina-kala' ),
            'default'  => true,
            'required' => array( 'show_dashboard_slider', '=', true ),
        ),
        array(
            'id'       => 'dashboard_slider_auto_play',
            'type'     => 'switch',
            'title'    => __( 'Auto play', 'dina-kala' ),
            'default'  => true,
            'required' => array( 'show_dashboard_slider', '=', true ),
        ),
        array(
            'id'            => 'dashboard_slider_time',
            'type'          => 'slider',
            'title'         => __( 'Auto play speed(ms)', 'dina-kala' ),
            'default'       => 8000,
            'min'           => 1000,
            'step'          => 1000,
            'max'           => 20000,
            'display_value' => 'label',
            'required'      => array( 'dashboard_slider_auto_play', '=', true ),
        ),
        array(
            'id'       => 'dashboard_slider_pause_over',
            'type'     => 'switch',
            'title'    => __( 'Pause slider on mouse over', 'dina-kala' ),
            'default'  => false,
            'required' => array( 'show_dashboard_slider', '=', true ),
        ),
        array(
            'id'       => 'dashboard_slider_newtab',
            'type'     => 'switch',
            'title'    => __( 'Open the links in a new tab', 'dina-kala' ),
            'default'  => false,
            'required' => array( 'show_dashboard_slider', '=', true ),
        ),
        array(
            'id'       => 'dashboard_slider_nofollow',
            'type'     => 'switch',
            'title'    => __( 'Add nofollow property to links', 'dina-kala' ),
            'default'  => false,
            'required' => array( 'show_dashboard_slider', '=', true ),
        ),
        array(
            'id'          => 'dashboard_slider',
            'type'        => 'slides',
            'title'       => __( 'Sliders', 'dina-kala' ),
            'subtitle'    => __( 'Upload slider images from this section.', 'dina-kala' ),
            'desc'        => '',
            'placeholder' => array(
                'title'       => __( 'Title', 'dina-kala' ),
                'url'         => __( 'Link', 'dina-kala' ),
            ),
            'show'        => array( 'description' => false, 'title' => true, 'url' => true ),
            'required'    => array( 'show_dashboard_slider', '=', true ),
        ),
        array(
            'id' => 'dashboard-slider-section-end',
            'type' => 'section',
            'indent' => false ,
        ),

        //dashboard-banner-section-start
        array(
            'id'       => 'dashboard-banner-section-start',
            'type'     => 'section',
            'title'    => __( 'Dashboard banner settings', 'dina-kala' ),
            'subtitle' => __( 'This banner is displayed on the User Panel', 'dina-kala' ),
            'indent'   => true,
        ),
        array(
            'id'       => 'show_dashboard_banner',
            'type'     => 'switch',
            'title'    => __( 'Show Dashboard banner', 'dina-kala' ),
            'default'  => false
        ),
        array(
            'id'       => 'show_dashboard_mobile',
            'type'     => 'switch',
            'title'    => __( 'Show Dashboard banner in mobile mode', 'dina-kala' ),
            'default'  => false,
            'required' => array( 'show_dashboard_banner', '=', true ),
        ),
        array(
            'id'       => 'dashboard_banner',
            'type'     => 'media',
            'url'      => true,
            'readonly' => false,
            'title'    => __( 'Dashboard banner image', 'dina-kala' ),
            'compiler' => 'true',
            'subtitle' =>  __( 'Appropriate size: 1260 pixel(w) in 142 pixel(h)', 'dina-kala' ),
            'required' => array( 'show_dashboard_banner', '=', true ),
        ),
        array(
            'id'       => 'dashboard_banner_link',
            'type'     => 'text',
            'title'    => __( 'Dashboard banner link', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'show_dashboard_banner', '=', true ),
        ),
        array(
            'id'       => 'dashboard_banner_title',
            'type'     => 'text',
            'title'    => __( 'Dashboard banner title', 'dina-kala' ),
            'default'  => '#',
            'required' => array( 'show_dashboard_banner', '=', true ),
        ),
        array(
            'id'       => 'dashboard_banner_newtab',
            'type'     => 'switch',
            'title'    => __( 'Open the link in a new tab', 'dina-kala' ),
            'default'  => false,
            'required' => array( 'show_dashboard_banner', '=', true ),
        ),
        array(
            'id'       => 'dashboard_banner_nofollow',
            'type'     => 'switch',
            'title'    => __( 'Add nofollow property to link', 'dina-kala' ),
            'default'  => false,
            'required' => array( 'show_dashboard_banner', '=', true ),
        ),
        array(
            'id'     => 'dashboard-banner-section-end',
            'type'   => 'section',
            'indent' => false ,
        ),

        //dashboard-custom-links-section-start
        array(
            'id' => 'dashboard-custom-links-section-start',
            'type' => 'section',
            'title'    => __( 'Dashboard custom links settings', 'dina-kala' ),
            'indent' => true,
        ),

        //Link one
        array(
            'id'       => 'dashboard_link_one',
            'type'     => 'switch',
            'title'    => __( 'Activate the first link', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'dashboard_link_one_title',
            'type'     => 'text',
            'title'    => __( 'Title', 'dina-kala' ),
            'default'  => __( 'First link', 'dina-kala' ),                
            'required' => array( 'dashboard_link_one', '=', true ),
        ),
        array(
            'id'       => 'dashboard_link_one_url',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',                
            'required' => array( 'dashboard_link_one', '=', true ),
        ),
        array(
            'id'       => 'dashboard_link_one_icon',
            'type'     => 'select',
            'select2'  => array( 'containerCssClass' => 'fa' ),
            'title'    => __( 'Icon', 'dina-kala' ),
            'class'    => ' dina-font-icon',
            'default'  => 'fal fa-link',
            'options'  => $iconArray,
            'required' => array( 'dashboard_link_one', '=', true ),
        ),

        //Link two
        array(
            'id'       => 'dashboard_link_two',
            'type'     => 'switch',
            'title'    => __( 'Activate the second link', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'dashboard_link_two_title',
            'type'     => 'text',
            'title'    => __( 'Title', 'dina-kala' ),
            'default'  => __( 'Second link', 'dina-kala' ),                
            'required' => array( 'dashboard_link_two', '=', true ),
        ),
        array(
            'id'       => 'dashboard_link_two_url',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',                
            'required' => array( 'dashboard_link_two', '=', true ),
        ),
        array(
            'id'       => 'dashboard_link_two_icon',
            'type'     => 'select',
            'select2'  => array( 'containerCssClass' => 'fa' ),
            'title'    => __( 'Icon', 'dina-kala' ),
            'class'    => ' dina-font-icon',
            'default'  => 'fal fa-link',
            'options'  => $iconArray,
            'required' => array( 'dashboard_link_two', '=', true ),
        ),

        //Link three
        array(
            'id'       => 'dashboard_link_three',
            'type'     => 'switch',
            'title'    => __( 'Activate the third link', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'dashboard_link_three_title',
            'type'     => 'text',
            'title'    => __( 'Title', 'dina-kala' ),
            'default'  => __( 'Third link', 'dina-kala' ),                
            'required' => array( 'dashboard_link_three', '=', true ),
        ),
        array(
            'id'       => 'dashboard_link_three_url',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',                
            'required' => array( 'dashboard_link_three', '=', true ),
        ),
        array(
            'id'       => 'dashboard_link_three_icon',
            'type'     => 'select',
            'select2'  => array( 'containerCssClass' => 'fa' ),
            'title'    => __( 'Icon', 'dina-kala' ),
            'class'    => ' dina-font-icon',
            'default'  => 'fal fa-link',
            'options'  => $iconArray,
            'required' => array( 'dashboard_link_three', '=', true ),
        ),

        //Link four
        array(
            'id'       => 'dashboard_link_four',
            'type'     => 'switch',
            'title'    => __( 'Activate the fourth link', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'dashboard_link_four_title',
            'type'     => 'text',
            'title'    => __( 'Title', 'dina-kala' ),
            'default'  => __( 'Fourth link', 'dina-kala' ),                
            'required' => array( 'dashboard_link_four', '=', true ),
        ),
        array(
            'id'       => 'dashboard_link_four_url',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',                
            'required' => array( 'dashboard_link_four', '=', true ),
        ),
        array(
            'id'       => 'dashboard_link_four_icon',
            'type'     => 'select',
            'select2'  => array( 'containerCssClass' => 'fa' ),
            'title'    => __( 'Icon', 'dina-kala' ),
            'class'    => ' dina-font-icon',
            'default'  => 'fal fa-link',
            'options'  => $iconArray,
            'required' => array( 'dashboard_link_four', '=', true ),
        ),

        //Link five
        array(
            'id'       => 'dashboard_link_five',
            'type'     => 'switch',
            'title'    => __( 'Activate the fifth link', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'dashboard_link_five_title',
            'type'     => 'text',
            'title'    => __( 'Title', 'dina-kala' ),
            'default'  => __( 'Fifth link', 'dina-kala' ),                
            'required' => array( 'dashboard_link_five', '=', true ),
        ),
        array(
            'id'       => 'dashboard_link_five_url',
            'type'     => 'text',
            'title'    => __( 'Link', 'dina-kala' ),
            'default'  => '#',                
            'required' => array( 'dashboard_link_five', '=', true ),
        ),
        array(
            'id'       => 'dashboard_link_five_icon',
            'type'     => 'select',
            'select2'  => array( 'containerCssClass' => 'fa' ),
            'title'    => __( 'Icon', 'dina-kala' ),
            'class'    => ' dina-font-icon',
            'default'  => 'fal fa-link',
            'options'  => $iconArray,
            'required' => array( 'dashboard_link_five', '=', true ),
        ),

        array(
            'id' => 'dashboard-custom-links-section-end',
            'type' => 'section',
            'indent' => false ,
        ),

        array(
            'id' => 'dashboard-message-section-start',
            'type' => 'section',
            'title'    => __( 'Settings for dashboard messages', 'dina-kala' ),
            'indent' => true,
        ),
        array(
            'id'       => 'show_dashboard_message',
            'type'     => 'switch',
            'title'    => __( 'Display messages in users panel' , 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'dashboard_message_one',
            'type'     => 'editor',
            'title'    => __( 'The text of the first message', 'dina-kala' ),
            'subtitle' => __( 'The text of the first message displayed in the user panel', 'dina-kala' ),   
            'desc'     => __( 'You can also use the shortcode. For example: [dina_first_name] = first name, [dina_last_name] = last name, [dina_display_name] = display name', 'dina-kala' ),
            'default'  => __( 'From your account dashboard you can view your recent orders, manage your billing address, and edit your password and account details.', 'dina-kala' ),
            'args'     => array(
                'wpautop'       => true,
                'media_buttons' => true,
                'textarea_rows' => 5,
                'teeny'         => true,
                'quicktags'     => true,
            ),
            'required' => array( 'show_dashboard_message', '=', true ),
        ),

        array(
            'id'       => 'dashboard_message_two',
            'type'     => 'editor',
            'title'    => __( 'The text of the second message', 'dina-kala' ),
            'subtitle' => __( 'The text of the second message displayed in the user panel', 'dina-kala' ),
            'desc'     => __( 'You can also use the shortcode. For example: [dina_first_name] = first name, [dina_last_name] = last name, [dina_display_name] = display name', 'dina-kala' ),
            'default'  => '',
            'args'     => array(
                'wpautop'       => true,
                'media_buttons' => true,
                'textarea_rows' => 5,
                'teeny'         => true,
                'quicktags'     => true,
            ),
            'required' => array( 'show_dashboard_message', '=', true ),
        ),

        array(
            'id'       => 'dashboard_message_three',
            'type'     => 'editor',
            'title'    => __( 'The text of the third message', 'dina-kala' ),
            'subtitle' => __( 'The text of the third message displayed in the user panel', 'dina-kala' ),   
            'desc'     => __( 'You can also use the shortcode. For example: [dina_first_name] = first name, [dina_last_name] = last name, [dina_display_name] = display name', 'dina-kala' ),
            'default'  => '',
            'args'     => array(
                'wpautop'       => true,
                'media_buttons' => true,
                'textarea_rows' => 5,
                'teeny'         => true,
                'quicktags'     => true,
            ),
            'required' => array( 'show_dashboard_message', '=', true ),
        ),
        array(
            'id' => 'dashboard-message-section-end',
            'type' => 'section',
            'indent' => false ,
        ),

        //User panel style section start
        array(
            'id' => 'user-panel-style-section-start',
            'type' => 'section',
            'title'    => __( 'User panel style settings', 'dina-kala' ),
            'indent' => true,
        ),
        array(
            'id'       => 'dashboard_bg_color',
            'type'     => 'color',
            'title'    => __( 'Dashboard menu background color', 'dina-kala' ),
            'default'  => '#172b4d',
            'validate' => 'color',
            'transparent' => false,
        ),
        array(
            'id'       => 'dashboard_text_color',
            'type'     => 'color',
            'title'    => __( 'Dashboard menu text color', 'dina-kala' ),
            'default'  => '#ffffff',
            'validate' => 'color',
            'transparent' => false,
        ),
        array(
            'id'       => 'total_orders_bg_color',
            'type'     => 'color',
            'title'    => __( 'Total Orders background color', 'dina-kala' ),
            'default'  => '#2bc999',
            'validate' => 'color',
            'transparent' => false,
        ),
        array(
            'id'       => 'completed_orders_bg_color',
            'type'     => 'color',
            'title'    => __( 'Completed orders background color', 'dina-kala' ),
            'default'  => '#fbb41a',
            'validate' => 'color',
            'transparent' => false,
        ),
        array(
            'id'       => 'wallet_inventory_bg_color',
            'type'     => 'color',
            'title'    => __( 'Wallet Inventory background color', 'dina-kala' ),
            'default'  => '#34afff',
            'validate' => 'color',
            'transparent' => false,
        ),
        array(
            'id'       => 'registration_date_bg_color',
            'type'     => 'color',
            'title'    => __( 'Registration date background color', 'dina-kala' ),
            'default'  => '#ff5e5b',
            'validate' => 'color',
            'transparent' => false,
        ),
        array(
            'id'       => 'panel_widgets_text_color',
            'type'     => 'color',
            'title'    => __( 'Text color of panel widgets', 'dina-kala' ),
            'default'  => '#ffffff',
            'validate' => 'color',
            'transparent' => false,
        ),
        array(
            'id' => 'user-panel-style-section-end',
            'type' => 'section',
            'indent' => false,
        ),

        //User panel style in dark mode section start
        array(
            'id'       => 'user-panel-dark-section-start',
            'type'     => 'section',
            'title'    => __( 'User panel style settings in dark mode', 'dina-kala' ),
            'indent'   => true,
            'required' => array( 'dina_dark_mode', '=', true ),
        ),
        array(
            'id'       => 'user_panel_dark_mode',
            'type'     => 'switch',
            'title'    => __( 'Changing the style of the user panel in dark mode' , 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'dark_dashboard_bg_color',
            'type'     => 'color',
            'title'    => __( 'Dashboard menu background color', 'dina-kala' ),
            'default'  => '#172b4d',
            'validate' => 'color',
            'transparent' => false,
            'required' => array( 'user_panel_dark_mode', '=', true ),
        ),
        array(
            'id'       => 'dark_dashboard_text_color',
            'type'     => 'color',
            'title'    => __( 'Dashboard menu text color', 'dina-kala' ),
            'default'  => '#ffffff',
            'validate' => 'color',
            'transparent' => false,
            'required' => array( 'user_panel_dark_mode', '=', true ),
        ),
        array(
            'id'       => 'dark_total_orders_bg_color',
            'type'     => 'color',
            'title'    => __( 'Total Orders background color', 'dina-kala' ),
            'default'  => '#2bc999',
            'validate' => 'color',
            'transparent' => false,
            'required' => array( 'user_panel_dark_mode', '=', true ),
        ),
        array(
            'id'       => 'dark_completed_orders_bg_color',
            'type'     => 'color',
            'title'    => __( 'Completed orders background color', 'dina-kala' ),
            'default'  => '#fbb41a',
            'validate' => 'color',
            'transparent' => false,
            'required' => array( 'user_panel_dark_mode', '=', true ),
        ),
        array(
            'id'       => 'dark_wallet_inventory_bg_color',
            'type'     => 'color',
            'title'    => __( 'Wallet Inventory background color', 'dina-kala' ),
            'default'  => '#34afff',
            'validate' => 'color',
            'transparent' => false,
            'required' => array( 'user_panel_dark_mode', '=', true ),
        ),
        array(
            'id'       => 'dark_registration_date_bg_color',
            'type'     => 'color',
            'title'    => __( 'Registration date background color', 'dina-kala' ),
            'default'  => '#ff5e5b',
            'validate' => 'color',
            'transparent' => false,
            'required' => array( 'user_panel_dark_mode', '=', true ),
        ),
        array(
            'id'       => 'dark_panel_widgets_text_color',
            'type'     => 'color',
            'title'    => __( 'Text color of panel widgets', 'dina-kala' ),
            'default'  => '#ffffff',
            'validate' => 'color',
            'transparent' => false,
            'required' => array( 'user_panel_dark_mode', '=', true ),
        ),
        array(
            'id' => 'user-panel-style-section-end',
            'type' => 'section',
            'indent' => false,
        ),
    ),
) );