<?php
/*
Theme Designed By: Meysam Hosseinkhani
Email: Meysam98@Gmail.com
Demo Website: Dinakala.I-design.ir
Author Website: i-design.ir
*/

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

Redux::setSection( $opt_name, array(
    'title'      => __( 'Woocommerce Settings', 'dina-kala' ),
    'id'         => 'menu_woo',
    'icon'       => 'fab fa-wordpress-simple',
    'fields'     => array(
        array(
            'id'       => 'show_checkout_steps',
            'type'     => 'switch',
            'title'    => __( 'Display payment steps on shopping cart and checkout pages' , 'dina-kala' ),
            'default'  => true,
        ),
        array(
            'id'       => 'remove_product_order',
            'type'     => 'switch',
            'title'    => __( 'Remove product sorting', 'dina-kala' ),
            'subtitle' => __( 'Remove product sorting from archive pages', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'product_sold_individually',
            'type'     => 'switch',
            'title'    => __( 'Removing the product quantity', 'dina-kala' ),
            'subtitle' => __( 'Removing the product quantity from WooCommerce products', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'grant_download_access',
            'type'     => 'switch',
            'title'    => __( 'Grant download permissions for past WooCommerce orders', 'dina-kala' ),
            'subtitle' => __( 'By activating this option, permission to download new files added to the product will be granted to previous orders.', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'external_new_tab',
            'type'     => 'switch',
            'title'    => __( 'Opening the external/affiliate product link in a new tab', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'remove_extra_fields',
            'type'     => 'switch',
            'title'    => __( 'Remove extra fields', 'dina-kala' ),
            'subtitle' => __( 'Remove extra fields from products that do not have physical shipping', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'remove_cart_fragments',
            'type'     => 'switch',
            'title'    => __( 'Remove cart fragments script', 'dina-kala' ),
            'subtitle' => __( 'Removing this script from the main page will increase the loading speed of your site, but if you use the cache plugin, removing this script will cause the shopping cart content to not be updated automatically when the page is loaded.', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'order_tracking_code',
            'type'     => 'switch',
            'title'    => __( 'Order tracking code', 'dina-kala' ),
            'subtitle' => __( 'Ability to insert the tracking code on the order management page and display it on the user panel', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'order_tracking_code_title',
            'type'     => 'text',
            'title'    => __( 'Tracking code title', 'dina-kala' ),
            'default'  => __( 'Tracking code', 'dina-kala' ),
            'required' => array( 'order_tracking_code', '=', true ),
        ),

        array(
            'id' => 'free-shipping-start',
            'type' => 'section',
            'title'    => __( 'Free shipping settings', 'dina-kala' ),
            'subtitle' => __( 'Displaying changes in this section requires changes in the shopping cart content', 'dina-kala' ),
            'indent' => true,
        ),
        array(
            'id'       => 'free_shipping_msg',
            'type'     => 'switch',
            'title'    => __( 'Show free shipping message', 'dina-kala' ),
            'subtitle' => __( 'If you have a method for free shipping on a certain amount of the order, you can display a message about the amount remaining until free shipping', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id'       => 'shipping_is_free_msg',
            'type'     => 'switch',
            'title'    => __( 'Notify user when shipping is free', 'dina-kala' ),
            'default'  => true,
            'required' => array( 'free_shipping_msg', '=', true ),
        ),
        array(
            'id'       => 'free_shipping_amount',
            'type'     => 'text',
            'title'    => __( 'Free shipping threshold', 'dina-kala' ),
            'subtitle' => __( 'The amount in which shipping is free, without monetary units and decimals and...', 'dina-kala' ),
            'required' => array( 'free_shipping_msg', '=', true ),
        ),
        array(
            'id'       => 'free_shipping_msg_cart',
            'type'     => 'switch',
            'title'    => __( 'Show free shipping message in cart page', 'dina-kala' ),
            'default'  => true,
            'required' => array( 'free_shipping_msg', '=', true ),
        ),
        array(
            'id'       => 'free_shipping_msg_mini_cart',
            'type'     => 'switch',
            'title'    => __( 'Show free shipping message in mini-cart', 'dina-kala' ),
            'default'  => true,
            'required' => array( 'free_shipping_msg', '=', true ),
        ),
        array(
            'id'       => 'free_shipping_mini_cart_color',
            'type'     => 'select',
            'title'    => __( 'Message color', 'dina-kala' ),
            'options'  => array(
                'alert-info'  =>  __( 'Blue', 'dina-kala' ),
                'alert-warning' =>  __( 'Yellow', 'dina-kala' ),
                'alert-success'  =>  __( 'Green', 'dina-kala' ),
                'alert-danger'  =>  __( 'Red', 'dina-kala' )
            ),
            'default'  => 'alert-info',
            'required' => array( 'free_shipping_msg_mini_cart', '=', true ),
        ),
        array(
            'id'       => 'free_shipping_mini_cart_progress',
            'type'     => 'switch',
            'title'    => __( 'Display progress bar of remaining amount', 'dina-kala' ),
            'default'  => true,
            'required' => array( 'free_shipping_msg_mini_cart', '=', true ),
        ),
        array(
            'id'       => 'free_shipping_mini_cart_progress_color',
            'type'     => 'select',
            'title'    => __( 'Progress bar color', 'dina-kala' ),
            'options'  => array(
                'bg-info'  =>  __( 'Blue', 'dina-kala' ),
                'bg-warning' =>  __( 'Yellow', 'dina-kala' ),
                'bg-success'  =>  __( 'Green', 'dina-kala' ),
                'bg-danger'  =>  __( 'Red', 'dina-kala' )
            ),
            'default'  => 'bg-info',
            'required' => array( 'free_shipping_mini_cart_progress', '=', true ),
        ),
        array(
            'id'       => 'show_only_free_shipping',
            'type'     => 'switch',
            'title'    => __( 'Hide other shipping methods when free shipping is enabled', 'dina-kala' ),
            'default'  => false,
        ),
        array(
            'id' => 'free-shipping-end',
            'type' => 'section',
            'indent' => false ,
        ),
    ),
) );