<?php
namespace Elementor;

class Our_Service_Box extends Widget_Base {
	
	public function get_name() {
		return 'our-service-box';
	}
	
	public function get_title() {
		return __( 'Our Service Box (Dinakala)', 'dina-kala' );
	}
	
	public function get_icon() {
		return 'fal fa-th-large';
	}
	
	public function get_categories() {
		return [ 'dina-kala' ];
	}
	
	protected function register_controls() {
		require get_template_directory() . '/includes/el-widgets/fa.php';
		$this->start_controls_section(
			'section_title',
			[
				'label' => __( 'Our Service Box (Dinakala)', 'dina-kala' ),
			]
		);
		
		$this->add_control(
			'icon_top',
			[
				'label' => __( 'Show icon at the top', 'dina-kala' ),
				'type' => Controls_Manager::SWITCHER,
				'label_on' => __( 'On', 'dina-kala' ),
				'label_off' => __( 'Off', 'dina-kala' ),
				'return_value' => 'yes',
				'default' => 'no',
			]
		);

		$this->add_control(
			'trasparent_bg',
			[
				'label'        => __( 'Transparent background', 'dina-kala' ),
				'type'         => Controls_Manager::SWITCHER,
				'label_on'     => __( 'On', 'dina-kala' ),
				'label_off'    => __( 'Off', 'dina-kala' ),
				'return_value' => 'yes',
				'default'      => 'no',
			]
		);

		$this->add_control(
			'title_one',
			[
				'label' => __( 'Title One', 'dina-kala' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
                'placeholder' => __( 'Enter your title', 'dina-kala' ),
                'default' => __( 'Price Guarantee', 'dina-kala' ),
			]
		);

		$this->add_control(
			'subtitle_one',
			[
				'label' => __( 'Subtitle One', 'dina-kala' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
                'placeholder' => __( 'Enter your subtitle', 'dina-kala' ),
                'default' => __( 'Best market price', 'dina-kala' ),
			]
		);
		
		$this->add_control(
			'link_one',
			[
				'label' => __( 'Link one', 'dina-kala' ),
				'type' => Controls_Manager::URL,
				'placeholder' => __( 'https://your-link.com', 'dina-kala' ),
				'show_external' => true,
				'default' => [
					'url' => '',
					'is_external' => true,
					'nofollow' => false,
				],
			]
        );
		
		$this->add_control(
			'icon_one',
			[
				'label' => __( 'Icon One', 'dina-kala' ),
				'type' => Controls_Manager::SELECT2,
				'options' => $icons_font_awesome,
				'default' => 'credit-card '
			]
		);

		$this->add_control(
			'custom_icon_one',
			[
				'label' => __( 'Or custom icon (Suitable size: 64px by 64px)', 'dina-kala' ),
				'type' => Controls_Manager::MEDIA,
			]
		);
        
        $this->add_control(
			'title_two',
			[
				'label' => __( 'Title Two', 'dina-kala' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
                'placeholder' => __( 'Enter your title', 'dina-kala' ),
                'default' => __( 'Excellent support', 'dina-kala' ),
			]
		);

		$this->add_control(
			'subtitle_two',
			[
				'label' => __( 'Subtitle Two', 'dina-kala' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
                'placeholder' => __( 'Enter your subtitle', 'dina-kala' ),
                'default' => __( '24 hours, 7 days a week', 'dina-kala' ),
			]
		);
		
		$this->add_control(
			'link_two',
			[
				'label' => __( 'Link two', 'dina-kala' ),
				'type' => Controls_Manager::URL,
				'placeholder' => __( 'https://your-link.com', 'dina-kala' ),
				'show_external' => true,
				'default' => [
					'url' => '',
					'is_external' => true,
					'nofollow' => false,
				],
			]
        );
		
		$this->add_control(
			'icon_two',
			[
				'label' => __( 'Icon Two', 'dina-kala' ),
				'type' => Controls_Manager::SELECT2,
				'options' => $icons_font_awesome,
				'default' => 'headset '
			]
		);

		$this->add_control(
			'custom_icon_two',
			[
				'label' => __( 'Or custom icon (Suitable size: 64px by 64px)', 'dina-kala' ),
				'type' => Controls_Manager::MEDIA,
			]
		);
        
        $this->add_control(
			'title_three',
			[
				'label' => __( 'Title Three', 'dina-kala' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
                'placeholder' => __( 'Enter your title', 'dina-kala' ),
                'default' => __( 'Refund', 'dina-kala' ),
			]
		);

		$this->add_control(
			'subtitle_three',
			[
				'label' => __( 'Subtitle Three', 'dina-kala' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
                'placeholder' => __( 'Enter your subtitle', 'dina-kala' ),
                'default' => __( 'If not satisfied', 'dina-kala' ),
			]
		);
		
		$this->add_control(
			'link_three',
			[
				'label' => __( 'Link three', 'dina-kala' ),
				'type' => Controls_Manager::URL,
				'placeholder' => __( 'https://your-link.com', 'dina-kala' ),
				'show_external' => true,
				'default' => [
					'url' => '',
					'is_external' => true,
					'nofollow' => false,
				],
			]
        );
        
		$this->add_control(
			'icon_three',
			[
				'label' => __( 'Icon Three', 'dina-kala' ),
				'type' => Controls_Manager::SELECT2,
				'options' => $icons_font_awesome,
				'default' => 'history '
			]
		);

		$this->add_control(
			'custom_icon_three',
			[
				'label' => __( 'Or custom icon (Suitable size: 64px by 64px)', 'dina-kala' ),
				'type' => Controls_Manager::MEDIA,
			]
		);
        
        $this->add_control(
			'title_four',
			[
				'label' => __( 'Title Four', 'dina-kala' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
                'placeholder' => __( 'Enter your title', 'dina-kala' ),
                'default' => __( 'Originality goods', 'dina-kala' ),
			]
		);

		$this->add_control(
			'subtitle_four',
			[
				'label' => __( 'Subtitle Four', 'dina-kala' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
                'placeholder' => __( 'Enter your subtitle', 'dina-kala' ),
                'default' => __( 'From Top Brands', 'dina-kala' ),
			]
		);
		
		$this->add_control(
			'link_four',
			[
				'label' => __( 'Link four', 'dina-kala' ),
				'type' => Controls_Manager::URL,
				'placeholder' => __( 'https://your-link.com', 'dina-kala' ),
				'show_external' => true,
				'default' => [
					'url' => '',
					'is_external' => true,
					'nofollow' => false,
				],
			]
        );
		
		$this->add_control(
			'icon_four',
			[
				'label' => __( 'Icon Four', 'dina-kala' ),
				'type' => Controls_Manager::SELECT2,
				'options' => $icons_font_awesome,
				'default' => 'certificate '
			]
		);

		$this->add_control(
			'custom_icon_four',
			[
				'label' => __( 'Or custom icon (Suitable size: 64px by 64px)', 'dina-kala' ),
				'type' => Controls_Manager::MEDIA,
			]
		);
        
        $this->add_control(
			'title_five',
			[
				'label' => __( 'Title Five', 'dina-kala' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
                'placeholder' => __( 'Enter your title', 'dina-kala' ),
                'default' => __( 'Fast delivery', 'dina-kala' ),
			]
		);

		$this->add_control(
			'subtitle_five',
			[
				'label' => __( 'Subtitle Five', 'dina-kala' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
                'placeholder' => __( 'Enter your subtitle', 'dina-kala' ),
                'default' => __( 'The least time possible', 'dina-kala' ),
			]
		);
		
		$this->add_control(
			'link_five',
			[
				'label' => __( 'Link five', 'dina-kala' ),
				'type' => Controls_Manager::URL,
				'placeholder' => __( 'https://your-link.com', 'dina-kala' ),
				'show_external' => true,
				'default' => [
					'url' => '',
					'is_external' => true,
					'nofollow' => false,
				],
			]
        );

		$this->add_control(
			'icon_five',
			[
				'label' => __( 'Icon Five', 'dina-kala' ),
				'type' => Controls_Manager::SELECT2,
				'options' => $icons_font_awesome,
				'default' => 'shipping-fast '
			]
		);
		
		$this->add_control(
			'custom_icon_five',
			[
				'label' => __( 'Or custom icon (Suitable size: 64px by 64px)', 'dina-kala' ),
				'type' => Controls_Manager::MEDIA,
			]
		);

		$this->end_controls_section();
	}
	
	protected function render() {

        $settings    = $this->get_settings_for_display();
		$classes     = 'row services';
		$classes    .= $settings['icon_top'] == 'yes' ? ' dina-ser-icon-top' : ' dina-ser-icon-side';
		$classes    .= $settings['trasparent_bg'] == 'yes' ? ' dina-ser-trasparent-bg' : ' dina-ser-white-bg';
		$shadow_box  = $settings['trasparent_bg'] == 'yes' ? '' : ' shadow-box';
		?>
		<!-- Services -->
            <div class="<?php echo $classes ?>">

				<?php
				for ( $i = 1; $i <= 5; $i++ ) {
					switch ( $i ) {
						case 1:
						  	$number = 'one';
						  	break;
						case 2:
							$number = 'two';
						  	break;
						case 3:
						  	$number = 'three';
						  	break;
						case 4:
							$number = 'four';
							break;
						case 5:
							$number = 'five';
							break;
						default:
							$number = 'one';
					  }
				?>

					<?php if( ! empty( $settings['title_' . $number ] ) ) { ?>
						<div class="col<?php echo ' dina-ser-col-' . $number; ?>">
							<div class="service<?php echo $shadow_box ?>">
								<?php
								if( !empty( $settings['link_' . $number ]['url'] ) ) {
									$target = ! empty ( $settings['link_' . $number ]['is_external'] ) ? ' target="_blank"' : '';
									$nofollow = ! empty ( $settings['link_' . $number ]['nofollow'] ) ? ' rel="nofollow"' : ''; 
								?>
									<a href="<?php echo $settings['link_' . $number ]['url']; ?>" title="<?php echo $settings['title_' . $number ]; ?>"<?php echo $target . $nofollow; ?>>
								<?php } ?>
									<div class="col-lg-3 col-12 service-icon">
										<?php if( ! empty( $settings['custom_icon_' . $number ]['url'] ) ) { ?>
											<img src="<?php echo $settings['custom_icon_' . $number ]['url']; ?>" width="64" height="64" alt="<?php echo $settings['title_' . $number ]; ?>" class="ser-cust-icon">
										<?php } else { ?>
											<i class="fal fa-<?php echo $settings['icon_' . $number ]; ?>" aria-hidden="true"></i>
										<?php } ?>
									</div>
									<div class="col-lg-9 col-12 service-det">
										<span class="service-title"><?php echo $settings['title_' . $number ]; ?></span>
										<span class="service-desc d-none d-lg-block"><?php echo $settings['subtitle_' . $number ]; ?></span>
									</div>
								<?php if( !empty( $settings['link_' . $number ]['url'] ) ) { ?>
									</a>
								<?php } ?>
							</div>
						</div>
					<?php }
				} ?>

            </div>
        <!-- Services --> <?php

	}

}